Bug 1382318 - Rawhide/aarch64 kernel does not boot on Rawhide QEMU
Summary: Rawhide/aarch64 kernel does not boot on Rawhide QEMU
Keywords:
Status: CLOSED DUPLICATE of bug 1382530
Alias: None
Product: Fedora
Classification: Fedora
Component: kernel
Version: rawhide
Hardware: aarch64
OS: Unspecified
unspecified
unspecified
Target Milestone: ---
Assignee: Kernel Maintainer List
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On:
Blocks: TRACKER-bugs-affecting-libguestfs
TreeView+ depends on / blocked
 
Reported: 2016-10-06 11:02 UTC by Richard W.M. Jones
Modified: 2016-10-07 00:19 UTC (History)
9 users (show)

Fixed In Version:
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
Environment:
Last Closed: 2016-10-07 00:19:30 UTC
Type: Bug


Attachments (Terms of Use)
build.log (5.79 MB, text/plain)
2016-10-06 11:03 UTC, Richard W.M. Jones
no flags Details
root.log (204.53 KB, text/plain)
2016-10-06 11:03 UTC, Richard W.M. Jones
no flags Details

Description Richard W.M. Jones 2016-10-06 11:02:29 UTC
Description of problem:

Specifically it crashes with the stack trace below.  I will attach the
full build log and root log.

[  120.187603] ------------[ cut here ]------------
[  120.188161] kernel BUG at lib/ioremap.c:64!
[  120.188969] Internal error: Oops - BUG: 0 [#1] SMP
[  120.189697] Modules linked in:
[  120.190685] CPU: 0 PID: 1 Comm: swapper/0 Not tainted 4.9.0-0.rc0.git2.1.fc26.aarch64 #1
[  120.191295] Hardware name: QEMU QEMU Virtual Machine, BIOS 0.0.0 02/06/2015
[  120.191925] task: fffffe0024473000 task.stack: fffffe0024500000
[  120.192685] PC is at ioremap_page_range+0x168/0x2f8
[  120.193174] LR is at pci_remap_iospace+0x68/0x88
[  120.193629] pc : [<fffffc0008487c48>] lr : [<fffffc00084fc6e0>] pstate: 80000045
[  120.194127] sp : fffffe0024503a80
[  120.194463] x29: fffffe0024503a80 x28: 00000200c01f0000 
[  120.195219] x27: 0140000000000800 x26: fffffdff7ee10000 
[  120.195774] x25: 0400000000000001 x24: 00e8000000000707 
[  120.196360] x23: fffffc0009ff7fd8 x22: fffffdff7ee10000 
[  120.196932] x21: fffffdff7ee00000 x20: fffffdff7ee0ffff 
[  120.197532] x19: 000000003eff0000 x18: 0000000000000010 
[  120.198164] x17: 0000000000000000 x16: 0000000000000000 
[  120.198702] x15: 0000000000000006 x14: fffffc0089cc42f7 
[  120.199326] x13: fffffc0009cc4305 x12: 00000000000000d7 
[  120.199895] x11: 0000000000000001 x10: 00000000000000d8 
[  120.200538] x9 : 0000000000000001 x8 : fffffe0024500000 
[  120.201152] x7 : fffffc0009002e68 x6 : 00000200c01f0000 
[  120.201723] x5 : fffffe000104f700 x4 : 000000000000ffff 
[  120.202307] x3 : fffffc0008ee5eb0 x2 : 0000000040000000 
[  120.202959] x1 : 0000000041040000 x0 : 00e800003eff0707 
[  120.203516] 
[  120.203810] Process swapper/0 (pid: 1, stack limit = 0xfffffe0024500020)
[  120.204412] Stack: (0xfffffe0024503a80 to 0xfffffe0024504000)
[  120.205056] 3a80: fffffe0024503b00 fffffc00084fc6e0 fffffe0025271580 000000003eff0000
[  120.205619] 3aa0: 0000000000000000 fffffc0008f8d908 fffffe0025271f80 fffffc0008c251c8
[  120.206174] 3ac0: fffffe0024503b90 0000000000000000 fffffe0025271580 0000000000000000
[  120.206758] 3ae0: fffffe0024503b20 fffffc000851f60c fffffdff7e80137c fffffe002476b010
[  120.207280] 3b00: fffffe0024503b20 fffffc000851f6e4 fffffe0025270280 fffffe002476b010
[  120.207841] 3b20: fffffe0024503be0 fffffc000851f7e4 fffffe002476b000 fffffe002476b010
[  120.208396] 3b40: fffffc0008f8dab8 fffffc0009f88000 0000000000000000 0000000000000000
[  120.208940] 3b60: fffffc0008d063c0 fffffc0008d86398 fffffc0008e520e0 fffffc000894d8cc
[  120.209542] 3b80: fffffe0024503bb0 fffffc00087b5bc0 fffffe002527c500 fffffe0025270380
[  120.210074] 3ba0: 000000003eff0000 fffffe002fffd380 fffffe0024503be0 fffffc000851f7d8
[  120.210587] 3bc0: fffffe002476b000 fffffe002476b010 fffffc0008f8dab8 fffffc0009f88000
[  120.211122] 3be0: fffffe0024503c00 fffffc000862a760 00000000fffffffe fffffe002476b010
[  120.211646] 3c00: fffffe0024503c30 fffffc0008627ac8 fffffe002476b010 0000000000000000
[  120.212227] 3c20: fffffc0008f8dae0 0000000000000000 fffffe0024503c70 fffffc0008627e54
[  120.212736] 3c40: fffffe002476b010 fffffe002476b070 fffffc0008f8dae0 0000000000000000
[  120.213272] 3c60: fffffc0008fc4000 fffffc0008d20464 fffffe0024503ca0 fffffc00086252a8
[  120.213808] 3c80: 0000000000000000 fffffc0008f8dae0 fffffc0008627d28 fffffc0008d86398
[  120.214364] 3ca0: fffffe0024503ce0 fffffc0008627130 fffffc0008f8dae0 fffffe0025168b00
[  120.214933] 3cc0: fffffc0008fc5768 0000000000000000 fffffe0024043930 fffffe0024681098
[  120.215434] 3ce0: fffffe0024503d00 fffffc0008626b50 fffffc0008f8dae0 fffffe0025168b00
[  120.215974] 3d00: fffffe0024503d40 fffffc0008628ee0 fffffc0008f8dae0 0000000000000000
[  120.216521] 3d20: 0000000000000000 0000000000000006 fffffc0009060000 0000000000000000
[  120.217069] 3d40: fffffe0024503d60 fffffc000862a684 fffffc0008f8dab8 0000000000000000
[  120.217627] 3d60: fffffe0024503d80 fffffc0008d5c5ac fffffc0008d5c594 fffffe0024500000
[  120.218180] 3d80: fffffe0024503d90 fffffc0008083594 fffffe0024503e00 fffffc0008d20dec
[  120.218697] 3da0: 0000000000000102 fffffc0009060000 fffffc0008d863a8 0000000000000006
[  120.219241] 3dc0: fffffc0008d20d00 fffffe0024503e00 fffffc0008083550 0000000080000045
[  120.219761] 3de0: 0000000000000000 0000000600000006 ffffffffffffffff fffffc0008d063c0
[  120.220370] 3e00: fffffe0024503ea0 fffffc0008945568 fffffc0008945550 0000000000000000
[  120.220926] 3e20: 0000000000000000 0000000000000000 0000000000000000 0000000000000000
[  120.221439] 3e40: 0000000000000000 0000000000000000 0000000000000000 0000000000000001
[  120.222022] 3e60: 0000000000000001 0000000000000000 0000000000000000 0000000000000000
[  120.222528] 3e80: 0000000000000000 0000000000000000 0000000000000000 0000000000000000
[  120.223071] 3ea0: 0000000000000000 fffffc0008083330 fffffc0008945550 0000000000000000
[  120.223580] 3ec0: 0000000000000000 0000000000000000 0000000000000000 0000000000000000
[  120.224110] 3ee0: 0000000000000000 0000000000000000 0000000000000000 0000000000000000
[  120.224671] 3f00: 0000000000000000 0000000000000000 0000000000000000 0000000000000000
[  120.225201] 3f20: 0000000000000000 0000000000000000 0000000000000000 0000000000000000
[  120.225714] 3f40: 0000000000000000 0000000000000000 0000000000000000 0000000000000000
[  120.226238] 3f60: 0000000000000000 0000000000000000 0000000000000000 0000000000000000
[  120.226737] 3f80: 0000000000000000 0000000000000000 0000000000000000 0000000000000000
[  120.227301] 3fa0: 0000000000000000 0000000000000000 0000000000000000 0000000000000000
[  120.227896] 3fc0: 0000000000000000 0000000000000005 0000000000000000 0000000000000000
[  120.228436] 3fe0: 0000000000000000 0000000000000000 0000000000000000 0000000000000000
[  120.229169] Call trace:
[  120.229607] Exception stack(0xfffffe00245038a0 to 0xfffffe00245039d0)
[  120.230126] 38a0: 000000003eff0000 0000040000000000 fffffe0024503a80 fffffc0008487c48
[  120.230666] 38c0: 0000000080000045 000000000000003d fffffe0024503910 fffffc0008137804
[  120.231213] 38e0: fffffc0008082e7c fffffe0024473000 0000000000000001 fffffc0008487c48
[  120.231759] 3900: 0000000080000045 00e8000000000707 fffffe0024503940 fffffc00081378b0
[  120.232279] 3920: fffffe0024503950 0000040000000000 fffffe0024503a80 0000000000000000
[  120.232788] 3940: fffffe002ff14080 fffffc0008082e7c 00e800003eff0707 0000000041040000
[  120.233327] 3960: 0000000040000000 fffffc0008ee5eb0 000000000000ffff fffffe000104f700
[  120.233856] 3980: 00000200c01f0000 fffffc0009002e68 fffffe0024500000 0000000000000001
[  120.234421] 39a0: 00000000000000d8 0000000000000001 00000000000000d7 fffffc0009cc4305
[  120.234936] 39c0: fffffc0089cc42f7 0000000000000006
[  120.235509] [<fffffc0008487c48>] ioremap_page_range+0x168/0x2f8
[  120.236068] [<fffffc00084fc6e0>] pci_remap_iospace+0x68/0x88
[  120.236546] [<fffffc000851f6e4>] pci_host_common_probe+0x24c/0x318
[  120.237070] [<fffffc000851f7e4>] gen_pci_probe+0x34/0x40
[  120.237554] [<fffffc000862a760>] platform_drv_probe+0x60/0xc8
[  120.238072] [<fffffc0008627ac8>] driver_probe_device+0x240/0x4a0
[  120.238560] [<fffffc0008627e54>] __driver_attach+0x12c/0x130
[  120.239063] [<fffffc00086252a8>] bus_for_each_dev+0x70/0xb0
[  120.239505] [<fffffc0008627130>] driver_attach+0x30/0x40
[  120.239953] [<fffffc0008626b50>] bus_add_driver+0x200/0x2b8
[  120.240423] [<fffffc0008628ee0>] driver_register+0x68/0x100
[  120.240887] [<fffffc000862a684>] __platform_driver_register+0x54/0x60
[  120.241383] [<fffffc0008d5c5ac>] gen_pci_driver_init+0x18/0x20
[  120.241897] [<fffffc0008083594>] do_one_initcall+0x44/0x138
[  120.242352] [<fffffc0008d20dec>] kernel_init_freeable+0x23c/0x2dc
[  120.242857] [<fffffc0008945568>] kernel_init+0x18/0x110
[  120.243323] [<fffffc0008083330>] ret_from_fork+0x10/0x20
[  120.243988] Code: 54fff801 52800000 1400005e d503201f (d4210000) 
[  120.246605] ---[ end trace 7472e9b7de6ada40 ]---

Version-Release number of selected component (if applicable):

kernel 4.9.0-0.rc0.git2.1.fc26
qemu 2:2.7.0-1.fc26
libvirt 2.2.0-1.fc26

How reproducible:

Unknown, at least once.

Steps to Reproduce:
1. Run libguestfs-test-tool

Comment 1 Richard W.M. Jones 2016-10-06 11:03:16 UTC
Created attachment 1207890 [details]
build.log

Comment 2 Richard W.M. Jones 2016-10-06 11:03:53 UTC
Created attachment 1207891 [details]
root.log

Comment 3 Laszlo Ersek 2016-10-06 17:46:41 UTC
Reproduces for me as well. Thank you Rich for the report.

Comment 4 Laura Abbott 2016-10-07 00:19:30 UTC

*** This bug has been marked as a duplicate of bug 1382530 ***


Note You need to log in before you can comment on or make changes to this bug.